Subject: Re: Backspace problem on VMS
From: Michael Lemke <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 26 Jul 2003 18:52:08 +0200

>On Thu, Jul 24, 2003 at 10:05:52PM -0400, Larry Hall wrote:
>>Hai Hong wrote:
>>>I'm having a problem in which the backspace doesn't work as it should
>>>when I telnet into a VMS machine while I'm in an xterm session.
>>>Instead of deleting the character, my cursor jump to the beginning of
>>>the line.  The DELETE key doesn't work either.  I've checked an made
>>>sure that my TERM environment is set to VT100, which is what I used in
>>>the Windows program SecureCRT without any problem.  Also, I don't have
>>>any problem telnetting into a Unix machine.  Is there anything that I
>>>should do to make it work?    I've been Googling both the Web and
>>>newsgroup and couldn't anything regarding this issue.
>>
>>Cygwin's default (and best supported) terminal setting is 'cygwin'.
>>Sorry, I know next to nothing about VMS so I can't direct you further
>>on how to make the target VMS machine understand the 'cygwin' terminal
>>settings.  But this information should help guide you to a line of
>>research which will offer a solution I hope.
>
>In this case, (and most cases, really) the TERM variable should just be
>left as is.  It is set to "cygwin" when you are running from the console
>and it should be set to "xterm" when you're running from an xterm.
>
>On VMS, CTRL-H means "go to beginning of line".  So, undoubtedly xterm
>is interpreting the [<-] key as a backspace.  I'm sure that google would
>be able to help in redefining this key to something else (like DEL).
>

Correct, VMS wants a real VT100 or successors.  Anything that doesn't
behave like one is almost unusable.  One approach with Cygwin is to
use rxvt and put this in your ~/.Xdefaults file:

Rxvt.backspacekey: DEC
Rxvt.cutchars: " "
Rxvt.keysym.0xff7f: \eOP
Rxvt.keysym.0xffaf: \eOQ
Rxvt.keysym.0xffaa: \eOR
Rxvt.keysym.0xffad: \eOS

Rxvt.keysym.0xff95: \eOw
Rxvt.keysym.0xff97: \eOx
Rxvt.keysym.0xff9a: \eOy
Rxvt.keysym.0xffab: \eOl

Rxvt.keysym.0xff96: \eOt
Rxvt.keysym.0xff9d: \eOu
Rxvt.keysym.0xff98: \eOv

Rxvt.keysym.0xff9c: \eOq
Rxvt.keysym.0xff99: \eOr
Rxvt.keysym.0xff9b: \eOs

Rxvt.keysym.0xff9e: \eOp
Rxvt.keysym.0xff9f: \eOn
Rxvt.keysym.0xff8d: \eOM

You will need to set 
   stty erase ^? 
in bash if you also want to use cygwin with rxvt/xterm.

However, I'd recommend to use TeraTerm, a free, excellent 
VT100/VT320 emulation.  Even the NumLock Key works
as Gold, so TPU and EDT are both perfectly useable.
Use Google to find TeraTerm.

Michael

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/